IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network145.2.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
- Network address
145.2.0.0- Broadcast address
145.2.63.255- First usable
145.2.0.1- Last usable
145.2.63.254- Usable hosts
- 16,382 (16,384 less the network and broadcast addresses)
- Subnet mask
255.255.192.0- Wildcard mask
0.0.63.255(Cisco ACLs, OSPF)- Prefix length
- /18
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
91020000· Integer2432827392to2432843775 - Reverse DNS zones
0.2.145.in-addr.arpa1.2.145.in-addr.arpa2.2.145.in-addr.arpa3.2.145.in-addr.arpa4.2.145.in-addr.arpa5.2.145.in-addr.arpa6.2.145.in-addr.arpa7.2.145.in-addr.arpa8.2.145.in-addr.arpa9.2.145.in-addr.arpa10.2.145.in-addr.arpa11.2.145.in-addr.arpa12.2.145.in-addr.arpa13.2.145.in-addr.arpa14.2.145.in-addr.arpa15.2.145.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10010001.00000010.00000000.00000000 | 145.2.0.0 |
| Subnet mask | 11111111.11111111.11000000.00000000 | 255.255.192.0 |
| Network | 10010001.00000010.00000000.00000000 | 145.2.0.0 |
| Broadcast | 10010001.00000010.00111111.11111111 | 145.2.63.255 |
Split into smaller subnets
/19 (2)/20 (4)/21 (8)/22 (16)/23 (32)/24 (64)/25 (128)/26 (256)/27 (512)/28 (1,024)/29 (2,048)/30 (4,096)
145.2.0.0/18 makes 4,096 subnets of /30; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 145.2.0.0/30 | 145.2.0.1 to 145.2.0.2 | 145.2.0.3 | 2 |
| 2 | 145.2.0.4/30 | 145.2.0.5 to 145.2.0.6 | 145.2.0.7 | 2 |
| 3 | 145.2.0.8/30 | 145.2.0.9 to 145.2.0.10 | 145.2.0.11 | 2 |
| 4 | 145.2.0.12/30 | 145.2.0.13 to 145.2.0.14 | 145.2.0.15 | 2 |
| 5 | 145.2.0.16/30 | 145.2.0.17 to 145.2.0.18 | 145.2.0.19 | 2 |
| 6 | 145.2.0.20/30 | 145.2.0.21 to 145.2.0.22 | 145.2.0.23 | 2 |
| 7 | 145.2.0.24/30 | 145.2.0.25 to 145.2.0.26 | 145.2.0.27 | 2 |
| 8 | 145.2.0.28/30 | 145.2.0.29 to 145.2.0.30 | 145.2.0.31 | 2 |
| 9 | 145.2.0.32/30 | 145.2.0.33 to 145.2.0.34 | 145.2.0.35 | 2 |
| 10 | 145.2.0.36/30 | 145.2.0.37 to 145.2.0.38 | 145.2.0.39 | 2 |
| 11 | 145.2.0.40/30 | 145.2.0.41 to 145.2.0.42 | 145.2.0.43 | 2 |
| 12 | 145.2.0.44/30 | 145.2.0.45 to 145.2.0.46 | 145.2.0.47 | 2 |
| 13 | 145.2.0.48/30 | 145.2.0.49 to 145.2.0.50 | 145.2.0.51 | 2 |
| 14 | 145.2.0.52/30 | 145.2.0.53 to 145.2.0.54 | 145.2.0.55 | 2 |
| 15 | 145.2.0.56/30 | 145.2.0.57 to 145.2.0.58 | 145.2.0.59 | 2 |
| 16 | 145.2.0.60/30 | 145.2.0.61 to 145.2.0.62 | 145.2.0.63 | 2 |
| 17 | 145.2.0.64/30 | 145.2.0.65 to 145.2.0.66 | 145.2.0.67 | 2 |
| 18 | 145.2.0.68/30 | 145.2.0.69 to 145.2.0.70 | 145.2.0.71 | 2 |
| 19 | 145.2.0.72/30 | 145.2.0.73 to 145.2.0.74 | 145.2.0.75 | 2 |
| 20 | 145.2.0.76/30 | 145.2.0.77 to 145.2.0.78 | 145.2.0.79 | 2 |
| 21 | 145.2.0.80/30 | 145.2.0.81 to 145.2.0.82 | 145.2.0.83 | 2 |
| 22 | 145.2.0.84/30 | 145.2.0.85 to 145.2.0.86 | 145.2.0.87 | 2 |
| 23 | 145.2.0.88/30 | 145.2.0.89 to 145.2.0.90 | 145.2.0.91 | 2 |
| 24 | 145.2.0.92/30 | 145.2.0.93 to 145.2.0.94 | 145.2.0.95 | 2 |
| 25 | 145.2.0.96/30 | 145.2.0.97 to 145.2.0.98 | 145.2.0.99 | 2 |
| 26 | 145.2.0.100/30 | 145.2.0.101 to 145.2.0.102 | 145.2.0.103 | 2 |
| 27 | 145.2.0.104/30 | 145.2.0.105 to 145.2.0.106 | 145.2.0.107 | 2 |
| 28 | 145.2.0.108/30 | 145.2.0.109 to 145.2.0.110 | 145.2.0.111 | 2 |
| 29 | 145.2.0.112/30 | 145.2.0.113 to 145.2.0.114 | 145.2.0.115 | 2 |
| 30 | 145.2.0.116/30 | 145.2.0.117 to 145.2.0.118 | 145.2.0.119 | 2 |
| 31 | 145.2.0.120/30 | 145.2.0.121 to 145.2.0.122 | 145.2.0.123 | 2 |
| 32 | 145.2.0.124/30 | 145.2.0.125 to 145.2.0.126 | 145.2.0.127 | 2 |
| 33 | 145.2.0.128/30 | 145.2.0.129 to 145.2.0.130 | 145.2.0.131 | 2 |
| 34 | 145.2.0.132/30 | 145.2.0.133 to 145.2.0.134 | 145.2.0.135 | 2 |
| 35 | 145.2.0.136/30 | 145.2.0.137 to 145.2.0.138 | 145.2.0.139 | 2 |
| 36 | 145.2.0.140/30 | 145.2.0.141 to 145.2.0.142 | 145.2.0.143 | 2 |
| 37 | 145.2.0.144/30 | 145.2.0.145 to 145.2.0.146 | 145.2.0.147 | 2 |
| 38 | 145.2.0.148/30 | 145.2.0.149 to 145.2.0.150 | 145.2.0.151 | 2 |
| 39 | 145.2.0.152/30 | 145.2.0.153 to 145.2.0.154 | 145.2.0.155 | 2 |
| 40 | 145.2.0.156/30 | 145.2.0.157 to 145.2.0.158 | 145.2.0.159 | 2 |
| 41 | 145.2.0.160/30 | 145.2.0.161 to 145.2.0.162 | 145.2.0.163 | 2 |
| 42 | 145.2.0.164/30 | 145.2.0.165 to 145.2.0.166 | 145.2.0.167 | 2 |
| 43 | 145.2.0.168/30 | 145.2.0.169 to 145.2.0.170 | 145.2.0.171 | 2 |
| 44 | 145.2.0.172/30 | 145.2.0.173 to 145.2.0.174 | 145.2.0.175 | 2 |
| 45 | 145.2.0.176/30 | 145.2.0.177 to 145.2.0.178 | 145.2.0.179 | 2 |
| 46 | 145.2.0.180/30 | 145.2.0.181 to 145.2.0.182 | 145.2.0.183 | 2 |
| 47 | 145.2.0.184/30 | 145.2.0.185 to 145.2.0.186 | 145.2.0.187 | 2 |
| 48 | 145.2.0.188/30 | 145.2.0.189 to 145.2.0.190 | 145.2.0.191 | 2 |
| 49 | 145.2.0.192/30 | 145.2.0.193 to 145.2.0.194 | 145.2.0.195 | 2 |
| 50 | 145.2.0.196/30 | 145.2.0.197 to 145.2.0.198 | 145.2.0.199 | 2 |
| 51 | 145.2.0.200/30 | 145.2.0.201 to 145.2.0.202 | 145.2.0.203 | 2 |
| 52 | 145.2.0.204/30 | 145.2.0.205 to 145.2.0.206 | 145.2.0.207 | 2 |
| 53 | 145.2.0.208/30 | 145.2.0.209 to 145.2.0.210 | 145.2.0.211 | 2 |
| 54 | 145.2.0.212/30 | 145.2.0.213 to 145.2.0.214 | 145.2.0.215 | 2 |
| 55 | 145.2.0.216/30 | 145.2.0.217 to 145.2.0.218 | 145.2.0.219 | 2 |
| 56 | 145.2.0.220/30 | 145.2.0.221 to 145.2.0.222 | 145.2.0.223 | 2 |
| 57 | 145.2.0.224/30 | 145.2.0.225 to 145.2.0.226 | 145.2.0.227 | 2 |
| 58 | 145.2.0.228/30 | 145.2.0.229 to 145.2.0.230 | 145.2.0.231 | 2 |
| 59 | 145.2.0.232/30 | 145.2.0.233 to 145.2.0.234 | 145.2.0.235 | 2 |
| 60 | 145.2.0.236/30 | 145.2.0.237 to 145.2.0.238 | 145.2.0.239 | 2 |
| 61 | 145.2.0.240/30 | 145.2.0.241 to 145.2.0.242 | 145.2.0.243 | 2 |
| 62 | 145.2.0.244/30 | 145.2.0.245 to 145.2.0.246 | 145.2.0.247 | 2 |
| 63 | 145.2.0.248/30 | 145.2.0.249 to 145.2.0.250 | 145.2.0.251 | 2 |
| 64 | 145.2.0.252/30 | 145.2.0.253 to 145.2.0.254 | 145.2.0.255 | 2 |
| 65 | 145.2.1.0/30 | 145.2.1.1 to 145.2.1.2 | 145.2.1.3 | 2 |
| 66 | 145.2.1.4/30 | 145.2.1.5 to 145.2.1.6 | 145.2.1.7 | 2 |
| 67 | 145.2.1.8/30 | 145.2.1.9 to 145.2.1.10 | 145.2.1.11 | 2 |
| 68 | 145.2.1.12/30 | 145.2.1.13 to 145.2.1.14 | 145.2.1.15 | 2 |
| 69 | 145.2.1.16/30 | 145.2.1.17 to 145.2.1.18 | 145.2.1.19 | 2 |
| 70 | 145.2.1.20/30 | 145.2.1.21 to 145.2.1.22 | 145.2.1.23 | 2 |
| 71 | 145.2.1.24/30 | 145.2.1.25 to 145.2.1.26 | 145.2.1.27 | 2 |
| 72 | 145.2.1.28/30 | 145.2.1.29 to 145.2.1.30 | 145.2.1.31 | 2 |
| 73 | 145.2.1.32/30 | 145.2.1.33 to 145.2.1.34 | 145.2.1.35 | 2 |
| 74 | 145.2.1.36/30 | 145.2.1.37 to 145.2.1.38 | 145.2.1.39 | 2 |
| 75 | 145.2.1.40/30 | 145.2.1.41 to 145.2.1.42 | 145.2.1.43 | 2 |
| 76 | 145.2.1.44/30 | 145.2.1.45 to 145.2.1.46 | 145.2.1.47 | 2 |
| 77 | 145.2.1.48/30 | 145.2.1.49 to 145.2.1.50 | 145.2.1.51 | 2 |
| 78 | 145.2.1.52/30 | 145.2.1.53 to 145.2.1.54 | 145.2.1.55 | 2 |
| 79 | 145.2.1.56/30 | 145.2.1.57 to 145.2.1.58 | 145.2.1.59 | 2 |
| 80 | 145.2.1.60/30 | 145.2.1.61 to 145.2.1.62 | 145.2.1.63 | 2 |
| 81 | 145.2.1.64/30 | 145.2.1.65 to 145.2.1.66 | 145.2.1.67 | 2 |
| 82 | 145.2.1.68/30 | 145.2.1.69 to 145.2.1.70 | 145.2.1.71 | 2 |
| 83 | 145.2.1.72/30 | 145.2.1.73 to 145.2.1.74 | 145.2.1.75 | 2 |
| 84 | 145.2.1.76/30 | 145.2.1.77 to 145.2.1.78 | 145.2.1.79 | 2 |
| 85 | 145.2.1.80/30 | 145.2.1.81 to 145.2.1.82 | 145.2.1.83 | 2 |
| 86 | 145.2.1.84/30 | 145.2.1.85 to 145.2.1.86 | 145.2.1.87 | 2 |
| 87 | 145.2.1.88/30 | 145.2.1.89 to 145.2.1.90 | 145.2.1.91 | 2 |
| 88 | 145.2.1.92/30 | 145.2.1.93 to 145.2.1.94 | 145.2.1.95 | 2 |
| 89 | 145.2.1.96/30 | 145.2.1.97 to 145.2.1.98 | 145.2.1.99 | 2 |
| 90 | 145.2.1.100/30 | 145.2.1.101 to 145.2.1.102 | 145.2.1.103 | 2 |
| 91 | 145.2.1.104/30 | 145.2.1.105 to 145.2.1.106 | 145.2.1.107 | 2 |
| 92 | 145.2.1.108/30 | 145.2.1.109 to 145.2.1.110 | 145.2.1.111 | 2 |
| 93 | 145.2.1.112/30 | 145.2.1.113 to 145.2.1.114 | 145.2.1.115 | 2 |
| 94 | 145.2.1.116/30 | 145.2.1.117 to 145.2.1.118 | 145.2.1.119 | 2 |
| 95 | 145.2.1.120/30 | 145.2.1.121 to 145.2.1.122 | 145.2.1.123 | 2 |
| 96 | 145.2.1.124/30 | 145.2.1.125 to 145.2.1.126 | 145.2.1.127 | 2 |
| 97 | 145.2.1.128/30 | 145.2.1.129 to 145.2.1.130 | 145.2.1.131 | 2 |
| 98 | 145.2.1.132/30 | 145.2.1.133 to 145.2.1.134 | 145.2.1.135 | 2 |
| 99 | 145.2.1.136/30 | 145.2.1.137 to 145.2.1.138 | 145.2.1.139 | 2 |
| 100 | 145.2.1.140/30 | 145.2.1.141 to 145.2.1.142 | 145.2.1.143 | 2 |
| 101 | 145.2.1.144/30 | 145.2.1.145 to 145.2.1.146 | 145.2.1.147 | 2 |
| 102 | 145.2.1.148/30 | 145.2.1.149 to 145.2.1.150 | 145.2.1.151 | 2 |
| 103 | 145.2.1.152/30 | 145.2.1.153 to 145.2.1.154 | 145.2.1.155 | 2 |
| 104 | 145.2.1.156/30 | 145.2.1.157 to 145.2.1.158 | 145.2.1.159 | 2 |
| 105 | 145.2.1.160/30 | 145.2.1.161 to 145.2.1.162 | 145.2.1.163 | 2 |
| 106 | 145.2.1.164/30 | 145.2.1.165 to 145.2.1.166 | 145.2.1.167 | 2 |
| 107 | 145.2.1.168/30 | 145.2.1.169 to 145.2.1.170 | 145.2.1.171 | 2 |
| 108 | 145.2.1.172/30 | 145.2.1.173 to 145.2.1.174 | 145.2.1.175 | 2 |
| 109 | 145.2.1.176/30 | 145.2.1.177 to 145.2.1.178 | 145.2.1.179 | 2 |
| 110 | 145.2.1.180/30 | 145.2.1.181 to 145.2.1.182 | 145.2.1.183 | 2 |
| 111 | 145.2.1.184/30 | 145.2.1.185 to 145.2.1.186 | 145.2.1.187 | 2 |
| 112 | 145.2.1.188/30 | 145.2.1.189 to 145.2.1.190 | 145.2.1.191 | 2 |
| 113 | 145.2.1.192/30 | 145.2.1.193 to 145.2.1.194 | 145.2.1.195 | 2 |
| 114 | 145.2.1.196/30 | 145.2.1.197 to 145.2.1.198 | 145.2.1.199 | 2 |
| 115 | 145.2.1.200/30 | 145.2.1.201 to 145.2.1.202 | 145.2.1.203 | 2 |
| 116 | 145.2.1.204/30 | 145.2.1.205 to 145.2.1.206 | 145.2.1.207 | 2 |
| 117 | 145.2.1.208/30 | 145.2.1.209 to 145.2.1.210 | 145.2.1.211 | 2 |
| 118 | 145.2.1.212/30 | 145.2.1.213 to 145.2.1.214 | 145.2.1.215 | 2 |
| 119 | 145.2.1.216/30 | 145.2.1.217 to 145.2.1.218 | 145.2.1.219 | 2 |
| 120 | 145.2.1.220/30 | 145.2.1.221 to 145.2.1.222 | 145.2.1.223 | 2 |
| 121 | 145.2.1.224/30 | 145.2.1.225 to 145.2.1.226 | 145.2.1.227 | 2 |
| 122 | 145.2.1.228/30 | 145.2.1.229 to 145.2.1.230 | 145.2.1.231 | 2 |
| 123 | 145.2.1.232/30 | 145.2.1.233 to 145.2.1.234 | 145.2.1.235 | 2 |
| 124 | 145.2.1.236/30 | 145.2.1.237 to 145.2.1.238 | 145.2.1.239 | 2 |
| 125 | 145.2.1.240/30 | 145.2.1.241 to 145.2.1.242 | 145.2.1.243 | 2 |
| 126 | 145.2.1.244/30 | 145.2.1.245 to 145.2.1.246 | 145.2.1.247 | 2 |
| 127 | 145.2.1.248/30 | 145.2.1.249 to 145.2.1.250 | 145.2.1.251 | 2 |
| 128 | 145.2.1.252/30 | 145.2.1.253 to 145.2.1.254 | 145.2.1.255 | 2 |
| 129 | 145.2.2.0/30 | 145.2.2.1 to 145.2.2.2 | 145.2.2.3 | 2 |
| 130 | 145.2.2.4/30 | 145.2.2.5 to 145.2.2.6 | 145.2.2.7 | 2 |
| 131 | 145.2.2.8/30 | 145.2.2.9 to 145.2.2.10 | 145.2.2.11 | 2 |
| 132 | 145.2.2.12/30 | 145.2.2.13 to 145.2.2.14 | 145.2.2.15 | 2 |
| 133 | 145.2.2.16/30 | 145.2.2.17 to 145.2.2.18 | 145.2.2.19 | 2 |
| 134 | 145.2.2.20/30 | 145.2.2.21 to 145.2.2.22 | 145.2.2.23 | 2 |
| 135 | 145.2.2.24/30 | 145.2.2.25 to 145.2.2.26 | 145.2.2.27 | 2 |
| 136 | 145.2.2.28/30 | 145.2.2.29 to 145.2.2.30 | 145.2.2.31 | 2 |
| 137 | 145.2.2.32/30 | 145.2.2.33 to 145.2.2.34 | 145.2.2.35 | 2 |
| 138 | 145.2.2.36/30 | 145.2.2.37 to 145.2.2.38 | 145.2.2.39 | 2 |
| 139 | 145.2.2.40/30 | 145.2.2.41 to 145.2.2.42 | 145.2.2.43 | 2 |
| 140 | 145.2.2.44/30 | 145.2.2.45 to 145.2.2.46 | 145.2.2.47 | 2 |
| 141 | 145.2.2.48/30 | 145.2.2.49 to 145.2.2.50 | 145.2.2.51 | 2 |
| 142 | 145.2.2.52/30 | 145.2.2.53 to 145.2.2.54 | 145.2.2.55 | 2 |
| 143 | 145.2.2.56/30 | 145.2.2.57 to 145.2.2.58 | 145.2.2.59 | 2 |
| 144 | 145.2.2.60/30 | 145.2.2.61 to 145.2.2.62 | 145.2.2.63 | 2 |
| 145 | 145.2.2.64/30 | 145.2.2.65 to 145.2.2.66 | 145.2.2.67 | 2 |
| 146 | 145.2.2.68/30 | 145.2.2.69 to 145.2.2.70 | 145.2.2.71 | 2 |
| 147 | 145.2.2.72/30 | 145.2.2.73 to 145.2.2.74 | 145.2.2.75 | 2 |
| 148 | 145.2.2.76/30 | 145.2.2.77 to 145.2.2.78 | 145.2.2.79 | 2 |
| 149 | 145.2.2.80/30 | 145.2.2.81 to 145.2.2.82 | 145.2.2.83 | 2 |
| 150 | 145.2.2.84/30 | 145.2.2.85 to 145.2.2.86 | 145.2.2.87 | 2 |
| 151 | 145.2.2.88/30 | 145.2.2.89 to 145.2.2.90 | 145.2.2.91 | 2 |
| 152 | 145.2.2.92/30 | 145.2.2.93 to 145.2.2.94 | 145.2.2.95 | 2 |
| 153 | 145.2.2.96/30 | 145.2.2.97 to 145.2.2.98 | 145.2.2.99 | 2 |
| 154 | 145.2.2.100/30 | 145.2.2.101 to 145.2.2.102 | 145.2.2.103 | 2 |
| 155 | 145.2.2.104/30 | 145.2.2.105 to 145.2.2.106 | 145.2.2.107 | 2 |
| 156 | 145.2.2.108/30 | 145.2.2.109 to 145.2.2.110 | 145.2.2.111 | 2 |
| 157 | 145.2.2.112/30 | 145.2.2.113 to 145.2.2.114 | 145.2.2.115 | 2 |
| 158 | 145.2.2.116/30 | 145.2.2.117 to 145.2.2.118 | 145.2.2.119 | 2 |
| 159 | 145.2.2.120/30 | 145.2.2.121 to 145.2.2.122 | 145.2.2.123 | 2 |
| 160 | 145.2.2.124/30 | 145.2.2.125 to 145.2.2.126 | 145.2.2.127 | 2 |
| 161 | 145.2.2.128/30 | 145.2.2.129 to 145.2.2.130 | 145.2.2.131 | 2 |
| 162 | 145.2.2.132/30 | 145.2.2.133 to 145.2.2.134 | 145.2.2.135 | 2 |
| 163 | 145.2.2.136/30 | 145.2.2.137 to 145.2.2.138 | 145.2.2.139 | 2 |
| 164 | 145.2.2.140/30 | 145.2.2.141 to 145.2.2.142 | 145.2.2.143 | 2 |
| 165 | 145.2.2.144/30 | 145.2.2.145 to 145.2.2.146 | 145.2.2.147 | 2 |
| 166 | 145.2.2.148/30 | 145.2.2.149 to 145.2.2.150 | 145.2.2.151 | 2 |
| 167 | 145.2.2.152/30 | 145.2.2.153 to 145.2.2.154 | 145.2.2.155 | 2 |
| 168 | 145.2.2.156/30 | 145.2.2.157 to 145.2.2.158 | 145.2.2.159 | 2 |
| 169 | 145.2.2.160/30 | 145.2.2.161 to 145.2.2.162 | 145.2.2.163 | 2 |
| 170 | 145.2.2.164/30 | 145.2.2.165 to 145.2.2.166 | 145.2.2.167 | 2 |
| 171 | 145.2.2.168/30 | 145.2.2.169 to 145.2.2.170 | 145.2.2.171 | 2 |
| 172 | 145.2.2.172/30 | 145.2.2.173 to 145.2.2.174 | 145.2.2.175 | 2 |
| 173 | 145.2.2.176/30 | 145.2.2.177 to 145.2.2.178 | 145.2.2.179 | 2 |
| 174 | 145.2.2.180/30 | 145.2.2.181 to 145.2.2.182 | 145.2.2.183 | 2 |
| 175 | 145.2.2.184/30 | 145.2.2.185 to 145.2.2.186 | 145.2.2.187 | 2 |
| 176 | 145.2.2.188/30 | 145.2.2.189 to 145.2.2.190 | 145.2.2.191 | 2 |
| 177 | 145.2.2.192/30 | 145.2.2.193 to 145.2.2.194 | 145.2.2.195 | 2 |
| 178 | 145.2.2.196/30 | 145.2.2.197 to 145.2.2.198 | 145.2.2.199 | 2 |
| 179 | 145.2.2.200/30 | 145.2.2.201 to 145.2.2.202 | 145.2.2.203 | 2 |
| 180 | 145.2.2.204/30 | 145.2.2.205 to 145.2.2.206 | 145.2.2.207 | 2 |
| 181 | 145.2.2.208/30 | 145.2.2.209 to 145.2.2.210 | 145.2.2.211 | 2 |
| 182 | 145.2.2.212/30 | 145.2.2.213 to 145.2.2.214 | 145.2.2.215 | 2 |
| 183 | 145.2.2.216/30 | 145.2.2.217 to 145.2.2.218 | 145.2.2.219 | 2 |
| 184 | 145.2.2.220/30 | 145.2.2.221 to 145.2.2.222 | 145.2.2.223 | 2 |
| 185 | 145.2.2.224/30 | 145.2.2.225 to 145.2.2.226 | 145.2.2.227 | 2 |
| 186 | 145.2.2.228/30 | 145.2.2.229 to 145.2.2.230 | 145.2.2.231 | 2 |
| 187 | 145.2.2.232/30 | 145.2.2.233 to 145.2.2.234 | 145.2.2.235 | 2 |
| 188 | 145.2.2.236/30 | 145.2.2.237 to 145.2.2.238 | 145.2.2.239 | 2 |
| 189 | 145.2.2.240/30 | 145.2.2.241 to 145.2.2.242 | 145.2.2.243 | 2 |
| 190 | 145.2.2.244/30 | 145.2.2.245 to 145.2.2.246 | 145.2.2.247 | 2 |
| 191 | 145.2.2.248/30 | 145.2.2.249 to 145.2.2.250 | 145.2.2.251 | 2 |
| 192 | 145.2.2.252/30 | 145.2.2.253 to 145.2.2.254 | 145.2.2.255 | 2 |
| 193 | 145.2.3.0/30 | 145.2.3.1 to 145.2.3.2 | 145.2.3.3 | 2 |
| 194 | 145.2.3.4/30 | 145.2.3.5 to 145.2.3.6 | 145.2.3.7 | 2 |
| 195 | 145.2.3.8/30 | 145.2.3.9 to 145.2.3.10 | 145.2.3.11 | 2 |
| 196 | 145.2.3.12/30 | 145.2.3.13 to 145.2.3.14 | 145.2.3.15 | 2 |
| 197 | 145.2.3.16/30 | 145.2.3.17 to 145.2.3.18 | 145.2.3.19 | 2 |
| 198 | 145.2.3.20/30 | 145.2.3.21 to 145.2.3.22 | 145.2.3.23 | 2 |
| 199 | 145.2.3.24/30 | 145.2.3.25 to 145.2.3.26 | 145.2.3.27 | 2 |
| 200 | 145.2.3.28/30 | 145.2.3.29 to 145.2.3.30 | 145.2.3.31 | 2 |
| 201 | 145.2.3.32/30 | 145.2.3.33 to 145.2.3.34 | 145.2.3.35 | 2 |
| 202 | 145.2.3.36/30 | 145.2.3.37 to 145.2.3.38 | 145.2.3.39 | 2 |
| 203 | 145.2.3.40/30 | 145.2.3.41 to 145.2.3.42 | 145.2.3.43 | 2 |
| 204 | 145.2.3.44/30 | 145.2.3.45 to 145.2.3.46 | 145.2.3.47 | 2 |
| 205 | 145.2.3.48/30 | 145.2.3.49 to 145.2.3.50 | 145.2.3.51 | 2 |
| 206 | 145.2.3.52/30 | 145.2.3.53 to 145.2.3.54 | 145.2.3.55 | 2 |
| 207 | 145.2.3.56/30 | 145.2.3.57 to 145.2.3.58 | 145.2.3.59 | 2 |
| 208 | 145.2.3.60/30 | 145.2.3.61 to 145.2.3.62 | 145.2.3.63 | 2 |
| 209 | 145.2.3.64/30 | 145.2.3.65 to 145.2.3.66 | 145.2.3.67 | 2 |
| 210 | 145.2.3.68/30 | 145.2.3.69 to 145.2.3.70 | 145.2.3.71 | 2 |
| 211 | 145.2.3.72/30 | 145.2.3.73 to 145.2.3.74 | 145.2.3.75 | 2 |
| 212 | 145.2.3.76/30 | 145.2.3.77 to 145.2.3.78 | 145.2.3.79 | 2 |
| 213 | 145.2.3.80/30 | 145.2.3.81 to 145.2.3.82 | 145.2.3.83 | 2 |
| 214 | 145.2.3.84/30 | 145.2.3.85 to 145.2.3.86 | 145.2.3.87 | 2 |
| 215 | 145.2.3.88/30 | 145.2.3.89 to 145.2.3.90 | 145.2.3.91 | 2 |
| 216 | 145.2.3.92/30 | 145.2.3.93 to 145.2.3.94 | 145.2.3.95 | 2 |
| 217 | 145.2.3.96/30 | 145.2.3.97 to 145.2.3.98 | 145.2.3.99 | 2 |
| 218 | 145.2.3.100/30 | 145.2.3.101 to 145.2.3.102 | 145.2.3.103 | 2 |
| 219 | 145.2.3.104/30 | 145.2.3.105 to 145.2.3.106 | 145.2.3.107 | 2 |
| 220 | 145.2.3.108/30 | 145.2.3.109 to 145.2.3.110 | 145.2.3.111 | 2 |
| 221 | 145.2.3.112/30 | 145.2.3.113 to 145.2.3.114 | 145.2.3.115 | 2 |
| 222 | 145.2.3.116/30 | 145.2.3.117 to 145.2.3.118 | 145.2.3.119 | 2 |
| 223 | 145.2.3.120/30 | 145.2.3.121 to 145.2.3.122 | 145.2.3.123 | 2 |
| 224 | 145.2.3.124/30 | 145.2.3.125 to 145.2.3.126 | 145.2.3.127 | 2 |
| 225 | 145.2.3.128/30 | 145.2.3.129 to 145.2.3.130 | 145.2.3.131 | 2 |
| 226 | 145.2.3.132/30 | 145.2.3.133 to 145.2.3.134 | 145.2.3.135 | 2 |
| 227 | 145.2.3.136/30 | 145.2.3.137 to 145.2.3.138 | 145.2.3.139 | 2 |
| 228 | 145.2.3.140/30 | 145.2.3.141 to 145.2.3.142 | 145.2.3.143 | 2 |
| 229 | 145.2.3.144/30 | 145.2.3.145 to 145.2.3.146 | 145.2.3.147 | 2 |
| 230 | 145.2.3.148/30 | 145.2.3.149 to 145.2.3.150 | 145.2.3.151 | 2 |
| 231 | 145.2.3.152/30 | 145.2.3.153 to 145.2.3.154 | 145.2.3.155 | 2 |
| 232 | 145.2.3.156/30 | 145.2.3.157 to 145.2.3.158 | 145.2.3.159 | 2 |
| 233 | 145.2.3.160/30 | 145.2.3.161 to 145.2.3.162 | 145.2.3.163 | 2 |
| 234 | 145.2.3.164/30 | 145.2.3.165 to 145.2.3.166 | 145.2.3.167 | 2 |
| 235 | 145.2.3.168/30 | 145.2.3.169 to 145.2.3.170 | 145.2.3.171 | 2 |
| 236 | 145.2.3.172/30 | 145.2.3.173 to 145.2.3.174 | 145.2.3.175 | 2 |
| 237 | 145.2.3.176/30 | 145.2.3.177 to 145.2.3.178 | 145.2.3.179 | 2 |
| 238 | 145.2.3.180/30 | 145.2.3.181 to 145.2.3.182 | 145.2.3.183 | 2 |
| 239 | 145.2.3.184/30 | 145.2.3.185 to 145.2.3.186 | 145.2.3.187 | 2 |
| 240 | 145.2.3.188/30 | 145.2.3.189 to 145.2.3.190 | 145.2.3.191 | 2 |
| 241 | 145.2.3.192/30 | 145.2.3.193 to 145.2.3.194 | 145.2.3.195 | 2 |
| 242 | 145.2.3.196/30 | 145.2.3.197 to 145.2.3.198 | 145.2.3.199 | 2 |
| 243 | 145.2.3.200/30 | 145.2.3.201 to 145.2.3.202 | 145.2.3.203 | 2 |
| 244 | 145.2.3.204/30 | 145.2.3.205 to 145.2.3.206 | 145.2.3.207 | 2 |
| 245 | 145.2.3.208/30 | 145.2.3.209 to 145.2.3.210 | 145.2.3.211 | 2 |
| 246 | 145.2.3.212/30 | 145.2.3.213 to 145.2.3.214 | 145.2.3.215 | 2 |
| 247 | 145.2.3.216/30 | 145.2.3.217 to 145.2.3.218 | 145.2.3.219 | 2 |
| 248 | 145.2.3.220/30 | 145.2.3.221 to 145.2.3.222 | 145.2.3.223 | 2 |
| 249 | 145.2.3.224/30 | 145.2.3.225 to 145.2.3.226 | 145.2.3.227 | 2 |
| 250 | 145.2.3.228/30 | 145.2.3.229 to 145.2.3.230 | 145.2.3.231 | 2 |
| 251 | 145.2.3.232/30 | 145.2.3.233 to 145.2.3.234 | 145.2.3.235 | 2 |
| 252 | 145.2.3.236/30 | 145.2.3.237 to 145.2.3.238 | 145.2.3.239 | 2 |
| 253 | 145.2.3.240/30 | 145.2.3.241 to 145.2.3.242 | 145.2.3.243 | 2 |
| 254 | 145.2.3.244/30 | 145.2.3.245 to 145.2.3.246 | 145.2.3.247 | 2 |
| 255 | 145.2.3.248/30 | 145.2.3.249 to 145.2.3.250 | 145.2.3.251 | 2 |
| 256 | 145.2.3.252/30 | 145.2.3.253 to 145.2.3.254 | 145.2.3.255 | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |